      SUBROUTINE MAP_STEEL_DISLOC(RTEMP,DEN,STR,IFAIL)
C
C Takahashi and Bhadeshia (Mat Sci & Tech), Yang and Bhadeshia (Welding J) 1990
C DEN  dislocation density per m**2
C STR strengthening due to dislocations, MPa
C IFAIL = 1 when calculation out of empirical range
C
      DOUBLE PRECISION RTEMP,DEN,STR
      INTEGER IFAIL
      IFAIL=0
      IF(RTEMP .GT. 923.15 .OR. RTEMP .LT. 523.15)THEN
         IFAIL=1
         GOTO 100
      ENDIF
      DEN=10.0D0**(9.2848D0 +(6880.73D0/RTEMP)-
     &            (1780360D0/(RTEMP*RTEMP)))
      STR=145.0D0*DSQRT(DEN)/DSQRT(3.9D14)
 100  RETURN
      END
